


UUCICO(1)                     wUUCP                     UUCICO(1)


1mNAME22m
       uucico - core of the UUCP protocol

1mSYNOPSIS22m
       1muucico22m  1m-N22mhostname  1m-D22m[1mEVICE22m] device 1m-U22m[1mNIT22m] unit 1m-ACU22m acu
       1m-Getty22m 1m-w22m 1m-r22mx 1m-x22mn 1m-X22mn 1m-xx22m 1m-h022m 1m-o22m 1m-22m[1ms22m/1mS22m]system 1m-e22m 1m-s22m 1m-722m 1m-p22m#
       1m-pri22m 1m-d022m 1m-t22mtimeout 1m-T22mtimeout


1mDESCRIPTION22m
       4mUucico24m  is the basis for 4muucp24m. It can be run either from a
       4mgetty24m when somebody logs into the Amiga, or it can be  run
       from 4mdcron24m or manually to originate connections.

       Some  options to 4muucico24m are now outdated and should not be
       used. Specifically, earlier distributions did not  have  a
       4mgetty24m  and 4muucico24m had to deal with waiting for connections
       itself.

       Either way, the final result is a connection between  your
       machine  and some remote machine. 4muucico24m will retrieve any
       queued work on the remote machine and send any queued work
       on your machine. These work files are located in subdirec
       tories of 1muuspool:22m, one directory for each system we regu
       lary  connect to.  The names of these directories 1mmust22m 1mnot22m
       exceed 7 characters in length, e. g. system ''straylight''
       has  the directory 1muuspool:strayli22m.  If there is no subdi
       rectory for a connected system, it's files are stored  and
       searched for in 1muuspool:22m.

       The  term 'work' refers to items queued by other programs,
       such as 4mnews24m and 4mmail24m.  These  programs  create  files  in
       (subdirectories of) 1muuspool:22m that inform 4muucico24m what to do
       with them and where to send them to.  On  the  flip  side,
       when  4muucico24m  receives a work file it will write it to the
       appropriate place in or below 1muuspool:22m, then run 4muuxqt24m for
       that system.

       4muuxqt24m  scans  received  files  and determines how to break
       them up (for example, append them to the appropriate  mail
       box  or  news  directory).  The control files in 1muuspool:*22m
       contain a line indicating the appropriate program required
       to  unpack  the files.  4muuxqt24m reads this line and runs the
       proper unpacker (4mrmail24m, 4mrnews24m, ...).


1mCONFIGURATION22m 1mOPTIONS22m
       You can control  4muucico24m's  runtime  behaviour  with  some
       variables (specify them in 1muulib:Config22m).

          1mCopyNotify22m 31
                      let's you have 4muucico24m send you mail on sev
                      eral events. The value is  bitmapped  with
                      this Bitmask:



Villa Straylight Thu, 18 Feb 1993 07:45:33 +0100                1





UUCICO(1)                     wUUCP                     UUCICO(1)


                  1    notify  of send failures that will not be
                      retried (ie denied)
                  2   notify  of  send  failures  that  will  be
                      retried (ie protocol errors)
                  4    notify  of successfull outgoing file copy
                      (uucp'd copies only)
                  8  notify of incoming file (uucp'd file copies
                      only)
                 16  notify of incoming failure of anykind

                      Thus,  to  get an email notification of any
                      failures, use  16  or  19,  for  report  on
                      incoming  and outgoing uucp'd files 12, set
                      to 31 for all features.
                      Mail is sent to 1mNotifyUser22m (see below),  if
                      unset 1mpostmaster22m.

          1mNotifyUser22m uucp
                      sets  the  user  to  be bothered with mails
                      created due to the  1mCopyNotify22m  entry  (see
                      above) to 1muucp22m. Default (if unset) is 1mpost22m
                      1mmaster22m.

          1mUuxqtInterval22m 4
                      causes a start of 4muuxqt24m in  the  background
                      after  every  4th incoming file with a name
                      starting with 1mX.22m*.

          1mUUlogs22m xferstat
                      controls which  logfiles  should  be  main
                      tained; currently defined are 1mxferstat22m (for
                      the 4mSoftware24m 4mBrewery24m's xferstat  file)  and
                      1mtimelog22m  (old  style DUUCP timelog, compare
                      below). If absent, all logs are maintained.
                      1mNOTE22m that the values ARE case sensitive (i.
                      e. 1mTimeLog22m is NOT recognised).


1mLOCKING22m
       4mUucico24m locks the serial port  in  the  same  manner  Getty
       does,  but  doing the equivalent of the 4mlockserial24m command
       before openning it. Thus, uucico's will  never  bump  into
       each  other  on  the  port.  Any  terminal program you run
       should lock the serial port as well. This is done by  run
       ning  the  terminal program via 4mlockserial24m with the appro
       priate arguments, see the manual pages for 4mgetty24m and 4mlock24m
       4mserial24m  for  more information (nowadays, a lot of terminal
       programs support the 1mOwnDevUnit.library22m,  if  yours  does,
       you don't need to use 4mlockserial24m).


1mGENERAL22m 1mOPTIONS22m
       Options  marked with  are supplied automatically on Getty
       initiated connections.



Villa Straylight Thu, 18 Feb 1993 07:45:33 +0100                2





UUCICO(1)                     wUUCP                     UUCICO(1)


          1mD22m dev 
                      Use device 4mdev24m;  default  is  1mserial.device22m
                      (space is required)

          1mU22m unit 
                      Use device's unit 4munit24m, default is 1m022m (space
                      is optional).

          1mACU22m acu
                      Call only entries with matching  4mACU24m;  this
                      may  be  used to differentiate between dif
                      ferent devices ... Let's say you  have  the
                      following 1mL.sys22m entries:

      imart Any isdn  64000 ATD55547120 ogin: bla word: fasel
      imart Any isdn  64000 ATD55547121 ogin: bla word: fasel
      imart Any ser2  57600 ATD5550815 ogin: bla word: fasel
      imart Any ser   38400 ATD5554711 ogin: bla word: fasel

                      If  you ommit the 4mACU24m switch, 4muucico24m would
                      dial all entries with given 4mdevice24m and 4munit24m
                      settings; usually this would result in much
                      nonsense,  as  you  may  use  e.   g.   the
                      1misdn.device22m to call nonISDN ports, but you
                      can't connect to the analouge modem  there.
                      Vice  versa,  calling  an ISDN port from an
                      analouge modem  doesn't  work.   Temporary,
                      you can use the 4mACU24m switch to filter 1mL.sys22m
                      entries, i. e. 1muucico22m 1msimart22m 1m722m 1mACU22m  1misdn22m
                      1mD22m  1misdn.device22m 1mU22m 1m022m 1mP722m would force 4muucico24m
                      only to dial the  first  two  entries  (the
                      ones  with  an  ACU  of  1misdn22m) and skip the
                      remaing two.

                      I'm working on a separate file in which you
                      can  specify which device/unit to use for a
                      given ACU ...

          1mx22mn
                      Set log level for us and for remote  system
                      to 4mn24m.

          1mX22mn
                      Set log level but do not tell remote system
                      about it.

          1mxx22m
                      Debug handshake to  stdout  (but  not  once
                      connection  is  established).   Useful  for
                      debugging L.Sys sendexpect stuff.

          1mh022m
                      Ignore Carrier Detect.




Villa Straylight Thu, 18 Feb 1993 07:45:33 +0100                3





UUCICO(1)                     wUUCP                     UUCICO(1)


          1mb22m
                      Run 4mbatchnews24m before anything else.

          1m722m
                      Set 1m7WIRE22m mode for serial  connections  (i.
                      e. hardware handshaking).

          1mproto22m n
                      Set  `protocol  hack' flag to 4mn24m (0..9); not
                      well documented, better leave it alone  ...

          1mp22mprotos
                      Set  list  of  protocols,  defaults to 4mGqg24m.
                      4muucico24m will choose the first common both in
                      orginate and answer mode.

          1mpri22m
                      4muucico24m  ups its priority by 1 during trans
                      fer, then downs it by 1 to run 4muuxqt24m  (i.e.
                      +1 during transer, 1 for 4muuxqt24m).

          1md022m
                      IGNORE  DTR switch forces 4muucico24m to use the
                      +++ sequence to disconnect instead of drop
                      ping DTR. This is a workaround for a possi
                      ble bug in the serial device for those  who
                      experience  crashes  when  4muucico24m  tries to
                      disconnect.

          1mn22mwindows
                      Set protocol window size.  If 4msize24m  is  not
                      specified,  a  window  size of 1 is forced.
                      The default (n option not specified) it  a
                      window size of 7.
                      Sometimes  it  is  necessary  to reduce the
                      window size to 3 or 4  when  connecting  to
                      heavily loaded UNIX systems.

          1mt22mtimeout
                      Set  GIO  protocol  timeout  before  packet
                      retry.  Default is 5. In  many  cases  this
                      can  cause  long  noactivity delays due to
                      small glitches when, in fact, the receiving
                      host  is not loaded down. Setting the time
                      out to 1 generally fixes this.

          1mT22mtimeout
                      Set  timeout   for   sendexpect   strings,
                      default is 15 seconds.

          1mP22msegsize
                      Set  segment size, in powers of two where a
                      segment size of 2 == 64 bytes. The  maximum
                      segment size is 8 (4096 bytes).



Villa Straylight Thu, 18 Feb 1993 07:45:33 +0100                4





UUCICO(1)                     wUUCP                     UUCICO(1)


                      This  option should be used only by 1mEXPERI22m
                      1mENCED22m 1mUUCP22m 1musers22m.  Larger is not  necessar
                      ily  better  since  all  packets  are fixed
                      length.

          1mN22mhostname
                      Sets  the  4mhostname24m  for  this  invocation;
                      overrules  the  config  variable  4mNodeName24m.
                      1mUSE22m 1mWITH22m 1mCARE!22m

          1mG22mg
                      Set the grade to 4mg24m; our  4muucico24m  will  only
                      transmit  jobs with a grade character lower
                      (based on ASCII order) or equal to  4mg24m;  the
                      remote  4muucico24m may or may not support this.
                      Newsbatches usually (should) have  a  grade
                      of ''N'', thus specifying ''GM'' makes our
                      4muucico24m transmit only jobs with grade  char
                      acters '' '' to ''M''.  The grade character
                      is the one following the, possibly abbrevi
                      ated,  system  name in command files (e. g.
                      in ''C.hactarB0815'' is ''B''  the  grade).
                      Refer  to  the  1muux22m  man  page  for further
                      information.


1mGETTY22m 1mINITIATED22m 1mOPTIONS22m
          1mGetty22m 
                      Tells 4muucico24m that it  was  started  from  a
                      4mgetty24m.


1mMANUAL22m 1mPOLL22m 1mOPTIONS22m
          1ms22msystem
                      Poll (callup) the specified system.

          1mS22msystem
                      Same as s but ignore time restrictions.

          1mr122m
                      Call  all systems we have pending work for.

          1mr122m 1ms22msystem
                      Call this specific system if we have  pend
                      ing work.

          1mo22m
                      Tells  4muucico24m  to  not search for a CONNECT
                      message when carrier is detected (hardwired
                      configuration).


1mOBSOLETE22m 1mOPTIONS/WAIT22m 1mMODE22m 1mOPTIONS,22m 1mdo22m 1mnot22m 1muse22m 1mif22m 1myou22m 1mcan22m 1mhelp22m 1mit22m
          1mw22m



Villa Straylight Thu, 18 Feb 1993 07:45:33 +0100                5





UUCICO(1)                     wUUCP                     UUCICO(1)


                      Tells 4muucico24m to wait for one or  more  con
                      nections  (depending  on  e)  AFTER having
                      previously polled one or more systems  (4mr24m,
                      4ms24m, 4mS24m).

          1me22m
                      Tells  4muucico24m  to  loop forever waiting for
                      connections.

          1mnooptions22m
                      If 4muucico24m is run without either 4mGetty24m, 4ms24m,
                      or  4mr24m,  it  will wait for a single connec
                      tion.


1mTIMELOG22m 1mFORMAT22m
       1mUucico22m automatically appends an entry  to  4mUUSPOOL:TimeLog24m
       (if  config variable 1muulogs22m contains the word ''timelog'';
       note that case IS significant) in the following format:

       ddmmmyy mm:ss mm:ss in=nnnnn out=nnnnn <system_name>

       The date, then two online times.  The first is  the  con
       nect  time from carrier detect, the second is connect time
       from sendexpect success.  Use whichever one is  appropri
       ate  for  bill calculations.  Following that is the number
       of data bytes received (total of received file sizes)  and
       the  number  of data bytes sent (total of transmitted file
       sizes).  These numbers do not reflect additional  overhead
       used  by  the G protocol (messages, acks, packet overhead,
       or retries).


1mEXAMPLE22m
       ; Place a line similar to this in your startupsequence!
       ; See GETTY manual

       resident uucp:C/Getty
       run <nil: >nil: Getty A B19200 Mm
                              
       ; Manually poll system 'foo'
       UUCico sfoo
                              
       ; From DCRON  (DCRON ENTRY)
       40      1       *       *       *       uucp:c/uucico r1


1mFILES/REQUIRES22m
       UULIB:Config
       UUMAIL:
       UUSPOOL:remote_systems/
       UUSPOOL:logfile
       UUSPOOL:xferstat
       UUSPOOL:TimeLog



Villa Straylight Thu, 18 Feb 1993 07:45:33 +0100                6





UUCICO(1)                     wUUCP                     UUCICO(1)


1mACKNOWLEDGEMENTS22m
       I  owe  a  lot   to   1mMichael22m   1m`Mick'22m   1mHohmann22m   (EMail:
       <mickh@imart.franken.de>)  for  all  his patience, support
       and feedback while testing all the buggy alpha versions. I
       have to express my gratitude to cbmger, causing me several
       sleepless nights trying to find a malicious bug only show
       ing up when this site tried to connect =:>


1mREFERENCES22m
       man/L.Sys
       man/Getty
       man/DCron
       man/Assigns











































Villa Straylight Thu, 18 Feb 1993 07:45:33 +0100                7


